package pl.koziolekweb.programmers.zip;

/**
 * Interfejs dla archiwmum ZIP.
 * 
 * @author koziolek
 * 
 */
public interface ZipArchiver extends Archiver {

	/**
	 * Poziom kompresji.
	 * 
	 * @author koziolek
	 * 
	 */
	public enum LEVEL {
		_0(0), _1(1), _2(2), _3(3), _4(4), _5(5), _6(6), _7(7), _8(8), _9(9);

		private LEVEL(int lvl) {
			this.lvl = lvl;
		}

		int lvl;
	}

	/**
	 * Metoda pozwala na dodanie komentarza do archiwum.
	 * 
	 * @param message
	 *            komentarz.
	 */
	public void setComment(String message);
}